Experimentally changed non-framework builds to bazel build

Experimentally run Unit/MacTests with Bazel
pull/19855/head
Tony Lu 6 years ago
parent c81dfd91de
commit ddf3f7ffb1
  1. 67
      src/objective-c/tests/build_one_example.sh
  2. 44
      src/objective-c/tests/run_one_test_bazel.sh
  3. 4
      tools/run_tests/run_tests.py

@ -29,36 +29,43 @@ cd `dirname $0`/../../..
cd $EXAMPLE_PATH
# clean the directory
rm -rf Pods
rm -rf *.xcworkspace
rm -f Podfile.lock
if [ "$FRAMEWORKS" == "NO" ]; then
if [ "$SCHEME" == "watchOS-sample-WatchKit-App" ]; then
SCHEME="watchOS-sample"
fi
cd ..
../../../tools/bazel build $SCHEME
else
# clean the directory
rm -rf Pods
rm -rf *.xcworkspace
rm -f Podfile.lock
pod install
pod install
set -o pipefail
XCODEBUILD_FILTER='(^CompileC |^Ld |^.*clang |^ *cd |^ *export |^Libtool |^.*libtool |^CpHeader |^ *builtin-copy )'
if [ "$SCHEME" == "tvOS-sample" ]; then
xcodebuild \
build \
-workspace *.xcworkspace \
-scheme $SCHEME \
-destination generic/platform=tvOS \
-derivedDataPath Build/Build \
CODE_SIGN_IDENTITY="" \
CODE_SIGNING_REQUIRED=NO \
| egrep -v "$XCODEBUILD_FILTER" \
| egrep -v "^$" -
else
xcodebuild \
build \
-workspace *.xcworkspace \
-scheme $SCHEME \
-destination generic/platform=iOS \
-derivedDataPath Build/Build \
CODE_SIGN_IDENTITY="" \
CODE_SIGNING_REQUIRED=NO \
| egrep -v "$XCODEBUILD_FILTER" \
| egrep -v "^$" -
set -o pipefail
XCODEBUILD_FILTER='(^CompileC |^Ld |^.*clang |^ *cd |^ *export |^Libtool |^.*libtool |^CpHeader |^ *builtin-copy )'
if [ "$SCHEME" == "tvOS-sample" ]; then
xcodebuild \
build \
-workspace *.xcworkspace \
-scheme $SCHEME \
-destination generic/platform=tvOS \
-derivedDataPath Build/Build \
CODE_SIGN_IDENTITY="" \
CODE_SIGNING_REQUIRED=NO \
| egrep -v "$XCODEBUILD_FILTER" \
| egrep -v "^$" -
else
xcodebuild \
build \
-workspace *.xcworkspace \
-scheme $SCHEME \
-destination generic/platform=iOS \
-derivedDataPath Build/Build \
CODE_SIGN_IDENTITY="" \
CODE_SIGNING_REQUIRED=NO \
| egrep -v "$XCODEBUILD_FILTER" \
| egrep -v "^$" -
fi
fi

@ -0,0 +1,44 @@
#!/bin/bash
# Copyright 2019 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# Don't run this script standalone. Instead, run from the repository root:
# ./tools/run_tests/run_tests.py -l objc
set -ev
cd $(dirname $0)
BINDIR=../../../bins/$CONFIG
[ -f $BINDIR/interop_server ] || {
echo >&2 "Can't find the test server. Make sure run_tests.py is making" \
"interop_server before calling this script."
exit 1
}
[ -z "$(ps aux |egrep 'port_server\.py.*-p\s32766')" ] && {
echo >&2 "Can't find the port server. Start port server with tools/run_tests/start_port_server.py."
exit 1
}
PLAIN_PORT=$(curl localhost:32766/get)
TLS_PORT=$(curl localhost:32766/get)
$BINDIR/interop_server --port=$PLAIN_PORT --max_send_message_size=8388608 &
$BINDIR/interop_server --port=$TLS_PORT --max_send_message_size=8388608 --use_tls &
trap 'kill -9 `jobs -p` ; echo "EXIT TIME: $(date)"' EXIT
../../../tools/bazel run $SCHEME

@ -1150,7 +1150,7 @@ class ObjCLanguage(object):
environ=_FORCE_ENVIRON_FOR_WRAPPERS))
out.append(
self.config.job_spec(
['src/objective-c/tests/run_one_test.sh'],
['src/objective-c/tests/run_one_test_bazel.sh'],
timeout_seconds=60 * 60,
shortname='ios-test-unittests',
cpu_cost=1e6,
@ -1184,7 +1184,7 @@ class ObjCLanguage(object):
environ=_FORCE_ENVIRON_FOR_WRAPPERS))
out.append(
self.config.job_spec(
['src/objective-c/tests/run_one_test.sh'],
['src/objective-c/tests/run_one_test_bazel.sh'],
timeout_seconds=60 * 60,
shortname='mac-test-basictests',
cpu_cost=1e6,

Loading…
Cancel
Save